Bug 147876 - Crash in Macros with Import dialog if OS file dialog used
Summary: Crash in Macros with Import dialog if OS file dialog used
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: framework (show other bugs)
Version:
(earliest affected)
7.3.0.0.alpha1+
Hardware: All All
: medium major
Assignee: Samuel Mehrbrodt (allotropia)
URL:
Whiteboard: target:7.4.0 target:7.3.3
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2022-03-09 14:49 UTC by Timur
Modified: 2022-04-25 12:07 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Timur 2022-03-09 14:49:53 UTC
Tools-Macros-Edit Macros
File-Import dialog
Cancel
Crash in 7.4+ and 7.3 in Windows, not in 7.2.
Comment 1 Timur 2022-03-09 14:55:45 UTC
Only if OS file dialog used, not with Tools-Options-General-LO dialogs.
Comment 2 sdc.blanco 2022-03-09 15:06:56 UTC
repro - and confirm only crashes when using OS file dialog

Version: 7.4.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 7ac19fbce8a35f559eebb879cd0f232bfc95e703
CPU threads: 8; OS: Windows 10.0 Build 19043; UI render: Skia/Raster; VCL: win
Locale: da-DK (da_DK); UI: pt-BR
Calc: CL
Comment 3 Timur 2022-03-10 09:19:48 UTC
çommit e45565b704ed97a0a299c3a19716766ea640a347
Date:   Wed Jul 14 16:34:31 2021 +0200
    source sha:9a55b97e980bbf2a0ce12841f6168f1f7545ac96
    prev sha:e49ffd9ea4f3e183004f9f4aa4749f8fec46eb7f

author	Samuel Mehrbrodt <samuel.mehrbrodt@allotropia.de>	2021-07-14
tdf#40068 Remember last directory for basic/dialog import/export

CC Samuel, please see.
Comment 4 Xisco Faulí 2022-03-10 12:18:28 UTC
Not reproduced in

Version: 7.4.0.0.alpha0+ / LibreOffice Community
Build ID: 53560aa06462f1cf04d69acafed20da971bc5c27
CPU threads: 8; OS: Linux 5.10; UI render: default; VCL: x11
Locale: es-ES (es_ES.UTF-8); UI: en-US
Calc: threaded
Comment 5 Timur 2022-03-10 14:43:56 UTC
I bibisected this in Linux GTK3, that's why All. No repro with GEN.
Comment 6 Commit Notification 2022-04-12 06:57:06 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/618d40799d25474c48d984ce1d52b0f08f220958

tdf#147876 Fix crash when cancelling Dialog import dlg

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2022-04-12 18:46:41 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "libreoffice-7-3":

https://git.libreoffice.org/core/commit/161d51704e2c76034b5cc1413ca99df45df81ea4

tdf#147876 Fix crash when cancelling Dialog import dlg

It will be available in 7.3.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.